## v1.0.3
- Implemented a cache to speed up deserialization of `SyncedEntry`'s.
- Exposed `BoxedValue` and `SettingChanged` from the underlying entry to `SyncedEntry` itself.
- Constrained the `SyncedEntry` type parameter to a primitive value.
- Added some documentation to classes.

## v1.0.2
- Fixed bug introduced in v1.0.1 causing syncing issues.
- Added a class constraint to the `SyncedInstance` type parameter.

## v1.0.1
- Renamed the built-in `SyncedConfig` to prevent confusion with the wiki.
- Reduced instance size by marking some internally used props as `[NonSerializable]`.
- Removed `Instance` property from the `CSync.cs` file as it's not necessary.

## v1.0.0
- Implemented `SyncedEntry` - a serializable alternative to `ConfigEntry`.
- Implemented `SyncedInstance` that aids with syncing and reverting.
- Implemented `ByteSerializer` to serialize instances with `DataContractSerializer`.
- Provided extension methods to `ConfigFile` and `FastBufferWriter`.